Skip to main content

Banking Verification Status

This endpoint retrieves the current banking verification status and details for a specific account.

Authorization:

bearer

HTTP: bearer

HTTP Authorization Scheme: bearer

Headers:
Authorization: APIKey {YOUR_API_KEY}

Endpoint

GET

/api/v2/kyc/banking-verification/individual/{accountId}

Path Parameters

ParameterTypeDescription
accountIdstring (uuid)Required. The account ID to check verification status for.

Response Sample

{
"accountId": "00000000-0000-0000-0000-000000000000",
"status": "in_review",
"verificationUrl": "https://verify.blockwyre.com/v/abc123def456",
"statusReason": "Additional documents required",
"phone": "+1234567890",
"dateOfBirth": "1990-05-15",
"nationality": "US",
"documentId": {
"idNumber": "AB1234567",
"idDocumentType": "passport",
"idIssueDate": "2020-01-15",
"idExpiryDate": "2030-01-15",
"idCountryOfIssue": "US",
"nationality": "US"
},
"address": {
"address1": "123 Main St",
"address2": "Apt 4B",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "US"
},
"eventHistory": [
{
"status": "in_review",
"statusReason": "Verification submitted",
"date": "2023-01-01T10:00:00Z"
},
{
"status": "pending",
"statusReason": "Account created",
"date": "2023-01-01T00:00:00Z"
}
],
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-02T00:00:00Z"
}

Response Schema

FieldTypeDescription
accountIdstring (uuid)The account ID.
statusstringVerification status. Possible values: pending, in_review, approved, needs_update, rejected.
verificationUrlstringVerification link for document upload (optional).
statusReasonstringAdditional information about the verification status (optional).
phonestringPhone number in E.164 format.
dateOfBirthstringDate of birth in ISO 8601 format (YYYY-MM-DD).
nationalitystringNationality code (ISO 3166-1 alpha-2).
documentIdobjectDocument ID information.
documentId.idNumberstringDocument identification number.
documentId.idDocumentTypestringDocument type. Possible values: passport, driver_license, national_id.
documentId.idIssueDatestringDocument issue date (YYYY-MM-DD).
documentId.idExpiryDatestringDocument expiry date (YYYY-MM-DD).
documentId.idCountryOfIssuestringCountry of issue (ISO 3166-1 alpha-2).
documentId.nationalitystringNationality (ISO 3166-1 alpha-2).
addressobjectAddress information.
address.address1stringPrimary address line.
address.address2stringSecondary address line (optional).
address.citystringCity name.
address.statestringState or province.
address.postalCodestringPostal or ZIP code.
address.countrystringCountry code (ISO 3166-1 alpha-2).
eventHistoryarrayHistory of status changes with timestamps.
eventHistory[].statusstringStatus at this point in time.
eventHistory[].statusReasonstringReason for the status change.
eventHistory[].datestringTimestamp of the status change (ISO 8601).
createdAtstringTimestamp when the record was created (ISO 8601).
updatedAtstringTimestamp when the record was last updated (ISO 8601).

Support and Resources

If you need assistance or have any questions, our support team is here to help. You can contact our support team at support@blockwyre.com.

Stay Updated

Stay up-to-date with the latest news, updates, and features from BlockWyre by following us on social media:

We are excited to have you on board and look forward to seeing how you leverage BlockWyre's powerful tools to enhance your financial operations. Happy integrating!